%global pypi_name jaraco.envs
%global pkg_name jaraco-envs

%bcond_with tests

Summary:        Classes for orchestrating Python (virtual) environments
Name:           python-%{pkg_name}
Version:        2.3.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.envs
Source0:        %pypi_source

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(pytest-cov)
BuildRequires:  python3-path python3dist(pytest-checkdocs) python3dist(pytest-flake8) python3dist(pytest-black-multipy)
%endif
BuildArch:      noarch

%description
Classes for orchestrating Python (virtual) environments.

%package -n     python3-%{pkg_name}
Summary:        Classes for orchestrating Python (virtual) environments
Requires:       python3-path python3-jaraco

%description -n python3-%{pkg_name}
Classes for orchestrating Python (virtual) environments.

%prep
%autosetup -n jaraco.envs-%{version}
%generate_buildrequires
%pyproject_buildrequires

rm -rf %{pypi_name}.egg-info
sed -i '/path/d' setup.cfg

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/envs*
%{python3_sitelib}/jaraco/__pycache__/envs*
%{python3_sitelib}/jaraco.envs-%{version}.dist-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
